use clap::Parser;
use pipeline_lang::args::Args;
use pipeline_lang::evaluator::{EvalConfig, Evaluator};

fn main() {
    let args = Args::parse();

    let mut evaluator = Evaluator::init(EvalConfig::new(args.debug_tokens, args.debug_typed_repr));

    evaluator.run(&args.text, None);
    evaluator.next();
}
