#![feature(never_type, lint_reasons)]

use std::ops::Range;

pub mod args;
pub mod builtins;
pub mod error;
pub mod evaluator;

#[allow(clippy::indexing_slicing, reason = "in logos, outside our control")]
pub mod lexer;

pub mod namespace;
pub mod syntax;
pub mod typed;

// basically logos::Span but in this repo
pub type Span = Range<usize>;
